Sign inGet started

Automation Rules

GET
/workspaces/{workspaceId}/inbox/automation/rules
List inbox automation rules
Parametry zapytania
trigger
string
Rule trigger
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
enabled
boolean
Rule enabled state
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.name
string
wymagane
results.description
string
results.categoryId
string
wymagane
results.trigger
string
wymagane
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
results.triggerArguments
object
results.orderPosition
number
results.enabled
boolean
wymagane
results.conditions
object
wymagane
Pokaż atrybuty podrzędne
results.conditions.all
array of object
Pokaż atrybuty podrzędne
results.conditions.all.name
string
wymagane
results.conditions.all.value
object
results.conditions.any
array of object
Pokaż atrybuty podrzędne
results.conditions.any.name
string
wymagane
results.conditions.any.value
object
results.actions
array of object
Pokaż atrybuty podrzędne
results.actions.name
string
wymagane
results.actions.value
object
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/rules/reorder
Reorder automation rule
Treść żądania
trigger
string
wymagane
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
rules
array of object
wymagane
Pokaż parametry podrzędne
rules.ruleId
string
wymagane
rules.newCategoryId
string
rules.newOrderPosition
number
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/reorder' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Get automation rule
Treść odpowiedzi
id
string
wymagane
name
string
wymagane
description
string
categoryId
string
wymagane
trigger
string
wymagane
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
triggerArguments
object
orderPosition
number
enabled
boolean
wymagane
conditions
object
wymagane
Pokaż atrybuty podrzędne
conditions.all
array of object
Pokaż atrybuty podrzędne
conditions.all.name
string
wymagane
conditions.all.value
object
conditions.any
array of object
Pokaż atrybuty podrzędne
conditions.any.name
string
wymagane
conditions.any.value
object
actions
array of object
Pokaż atrybuty podrzędne
actions.name
string
wymagane
actions.value
object
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Update automation rule
Treść żądania
name
string
description
string
enabled
boolean
trigger
string
triggerArguments
object
categoryId
string
conditions
object
Pokaż parametry podrzędne
conditions.all
array of object
Pokaż parametry podrzędne
conditions.all.name
string
wymagane
conditions.all.value
object
conditions.any
array of object
Pokaż parametry podrzędne
conditions.any.name
string
wymagane
conditions.any.value
object
actions
array of object
Pokaż parametry podrzędne
actions.name
string
wymagane
actions.value
object
Treść odpowiedzi
id
string
wymagane
name
string
wymagane
description
string
categoryId
string
wymagane
trigger
string
wymagane
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
triggerArguments
object
orderPosition
number
enabled
boolean
wymagane
conditions
object
wymagane
Pokaż atrybuty podrzędne
conditions.all
array of object
Pokaż atrybuty podrzędne
conditions.all.name
string
wymagane
conditions.all.value
object
conditions.any
array of object
Pokaż atrybuty podrzędne
conditions.any.name
string
wymagane
conditions.any.value
object
actions
array of object
Pokaż atrybuty podrzędne
actions.name
string
wymagane
actions.value
object
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Delete automation rule
Przykład kodu
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/categories
List inbox automation categories
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.name
string
wymagane
results.orderPosition
number
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/automation/categories
Create automation category
Treść żądania
name
string
wymagane
Treść odpowiedzi
id
string
wymagane
name
string
wymagane
orderPosition
number
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/categories/reorder
Reorder automation categories
Treść żądania
categories
array of object
wymagane
Pokaż parametry podrzędne
categories.categoryId
string
wymagane
categories.newOrderPosition
number
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/reorder' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}
Update automation category
Treść żądania
name
string
wymagane
Treść odpowiedzi
id
string
wymagane
name
string
wymagane
orderPosition
number
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}
Delete automation category
Przykład kodu
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/new-item-reply
Get current new-item reply configuration.
Treść odpowiedzi
projectId
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/new-item-reply' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PUT
/workspaces/{workspaceId}/inbox/automation/new-item-reply
Update or create new-item reply configuration.
Treść żądania
projectId
string
wymagane
Przykład kodu
curl -X PUT 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/new-item-reply' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'